MINICOREDUMPER(1)

NAME
minicoredumper - create a customized minimal core(5) dump

SYNOPSIS
minicoredumper pid uid gid signal timestamp hostname executable [configuration-file]

DESCRIPTION
minicoredumper provides a highly configurable core dump mechanism. This program is intended to be executed by the Linux core(5) dump facility. By default the main configuration file is:

    /etc/minicoredumper/minicoredumper.cfg.json

but can be overridden if the optional 8th argument is specified.

minicoredumper uses syslog(3) to log its activity. The syslog ident is "minicoredumper" and the syslog facility is LOG_SYSLOG.

EXAMPLE
Setup minicoredumper to be used for core(5) dumps.

    echo '|/usr/sbin/minicoredumper %P %u %g %s %t %h %e' > \
         /proc/sys/kernel/core_pattern

FILES
/etc/minicoredumper/minicoredumper.cfg.json

SEE ALSO
libminicoredumper(7), minicoredumper.cfg.json(5)

The DiaMon Workgroup: <http://www.diamon.org>